using System;



    class Program
    {
       static bool veca(string a,string b)
        {
            int br = 0;
            while (true)
            {
                if (br == a.Length)
                    return false;
                if (br == b.Length)
                    return true;

                if (a[br] > b[br])
                    return true;
                else if (a[br] < b[br])
                    return false;
                else
                    br++;

            }

           
        }





        static void Main(string[] args)
        {
            string[] a = Console.ReadLine().Split();
            
            string kon;
            if (veca(a[0], a[1]))
            {
                if (veca(a[0], a[2]))
                {

                    kon = a[0];
                    if (veca(a[2], a[1]))
                    {
                        kon += a[2] + a[1];


                    }
                    else
                    {
                        kon += a[1] + a[2];
                    }


                }
                else
                {
                    kon = a[2];
                    if (veca(a[0], a[1]))
                    {
                        kon += a[0] + a[1];


                    }
                    else
                    {
                        kon += a[1] + a[0];
                    }


                }
            }
            else
            {
                if (veca(a[1], a[2]))
                {

                    kon = a[1];
                    if (veca(a[2], a[0]))
                    {
                        kon += a[2] + a[0];


                    }
                    else
                    {
                        kon += a[0] + a[2];
                    }



                }
                else
                {
                    kon = a[2];
                    if (veca(a[0], a[1]))
                    {
                        kon += a[0] + a[1];


                    }
                    else
                    {
                        kon += a[0] + a[2];
                    }


                }

            }


            Console.Write(kon);
            

        }
    }